osgWidget::Event Class Reference

`#include <EventInterface>`

## Public Member Functions

| Event (WindowManager *wm, EventType _type=EVENT_NONE)
Event & | makeType (EventType _type)
Event & | makeMouse (double _x, double _y, EventType _type=EVENT_NONE)
Event & | makeKey (int _key, int _keyMask, EventType _type=EVENT_NONE)
WindowManager * | getWindowManager ()
const WindowManager * | getWindowManager () const
Window * | getWindow ()
const Window * | getWindow () const
Widget * | getWidget ()
const Widget * | getWidget () const
void * | getData ()
const void * | getData () const
void | setData (void *data)

## Public Attributes

EventType | type
double | x
double | y
int | key
int | keyMask

## Protected Attributes

WindowManager * | _wm
Window * | _window
Widget * | _widget
void * | _data

## Friends

class | WindowManager
class | Window

## Constructor & Destructor Documentation

## Event()

osgWidget::Event::Event | ( | WindowManager * | wm,
|  | EventType | _type = EVENT_NONE )

inline

References _data, _widget, _window, _wm, osgWidget::EVENT_NONE, key, keyMask, type, WindowManager, x, and y.

Referenced by makeKey(), makeMouse(), and makeType().

## Member Function Documentation

## getData() [1/2]

void * osgWidget::Event::getData | ( |  | ) |

inline

References _data.

## getData() [2/2]

const void * osgWidget::Event::getData | ( |  | ) | const

inline

References _data.

## getWidget() [1/2]

Widget * osgWidget::Event::getWidget | ( |  | ) |

inline

References _widget.

## getWidget() [2/2]

const Widget * osgWidget::Event::getWidget | ( |  | ) | const

inline

References _widget.

## getWindow() [1/2]

Window * osgWidget::Event::getWindow | ( |  | ) |

inline

References _window, and Window.

## getWindow() [2/2]

const Window * osgWidget::Event::getWindow | ( |  | ) | const

inline

References _window, and Window.

## getWindowManager() [1/2]

WindowManager * osgWidget::Event::getWindowManager | ( |  | ) |

inline

References _wm, and WindowManager.

Referenced by osgWidget::EventInterface::callMethodAndCallbacks().

## getWindowManager() [2/2]

const WindowManager * osgWidget::Event::getWindowManager | ( |  | ) | const

inline

References _wm, and WindowManager.

## makeKey()

Event & osgWidget::Event::makeKey | ( | int | _key,
|  | int | _keyMask,
|  | EventType | _type = EVENT_NONE )

inline

References Event(), osgWidget::EVENT_NONE, key, keyMask, and type.

## makeMouse()

Event & osgWidget::Event::makeMouse | ( | double | _x,
|  | double | _y,
|  | EventType | _type = EVENT_NONE )

inline

References Event(), osgWidget::EVENT_NONE, type, x, and y.

## makeType()

Event & osgWidget::Event::makeType | ( | EventType | _type | ) |

inline

References Event(), osgWidget::EVENT_NONE, and type.

## setData()

void osgWidget::Event::setData | ( | void * | data | ) |

inline

References _data.

Referenced by osgWidget::EventInterface::callCallbacks().

## Friends And Related Symbol Documentation

## Window

friend class Window

friend

References Window.

Referenced by getWindow(), getWindow(), and Window.

## WindowManager

friend class WindowManager

friend

References WindowManager.

Referenced by Event(), getWindowManager(), getWindowManager(), and WindowManager.

## Member Data Documentation

## _data

void* osgWidget::Event::_data

protected

Referenced by Event(), getData(), getData(), and setData().

## _widget

Widget* osgWidget::Event::_widget

protected

Referenced by Event(), osgWidget::WindowManager::getFirstEventInterface(), getWidget(), and getWidget().

## _window

Window* osgWidget::Event::_window

protected

Referenced by Event(), osgWidget::WindowManager::getFirstEventInterface(), getWindow(), and getWindow().

## _wm

WindowManager* osgWidget::Event::_wm

protected

Referenced by Event(), getWindowManager(), and getWindowManager().

## key

int osgWidget::Event::key

Referenced by osgWidget::EventInterface::callMethodAndCallbacks(), Event(), and makeKey().

## keyMask

int osgWidget::Event::keyMask

Referenced by osgWidget::EventInterface::callMethodAndCallbacks(), Event(), and makeKey().

## type

EventType osgWidget::Event::type

Referenced by osgWidget::EventInterface::callCallbacks(), osgWidget::EventInterface::callMethodAndCallbacks(), Event(), osgWidget::WindowManager::getFirstEventInterface(), makeKey(), makeMouse(), and makeType().

## x

double osgWidget::Event::x

Referenced by osgWidget::EventInterface::callMethodAndCallbacks(), Event(), and makeMouse().

## y

double osgWidget::Event::y

Referenced by osgWidget::EventInterface::callMethodAndCallbacks(), Event(), and makeMouse().

The documentation for this class was generated from the following file:

- EventInterface